import { TestBed } from '@angular/core/testing';
import { MAT_DIALOG_DATA, MatDialogModule, MatDialogRef } from '@angular/material/dialog';
import { PartitionTypeOrganizatorComponent } from './partition-type-organizator.component';
import { MatTableModule } from '@angular/material/table';

describe('PartitionTypeOrganizatorComponent', () => {
  let component: PartitionTypeOrganizatorComponent;
  let fixture: any;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [PartitionTypeOrganizatorComponent],
      imports: [
        MatDialogModule,
        MatTableModule
      ],
      providers: [
        { provide: MatDialogRef, useValue: {} },
        {
          provide: MAT_DIALOG_DATA,
          useValue: [
            {
              name: 'Client 1',
              partitions: [
                { diskNumber: 1, partitionNumber: 1, partitionCode: 'EXT4', size: 1024, filesystem: 'ext4', memoryUsage: 50 },
                { diskNumber: 1, partitionNumber: 2, partitionCode: 'NTFS', size: 2048, filesystem: 'ntfs', memoryUsage: 75 }
              ]
            }
          ]
        }
      ]
    }).compileComponents();

    fixture = TestBed.createComponent(PartitionTypeOrganizatorComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});