import { Component, Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';

@Component({
  selector: 'app-queue-confirmation-modal',
  templateUrl: './queue-confirmation-modal.component.html',
  styleUrl: './queue-confirmation-modal.component.css'
})
export class QueueConfirmationModalComponent {
  shouldQueue: boolean = false;

  constructor(
    public dialogRef: MatDialogRef<QueueConfirmationModalComponent>,
    @Inject(MAT_DIALOG_DATA) public data: any
  ) {}

  onNoClick(): void {
    this.dialogRef.close(false);
  }

  onYesClick(): void {
    this.dialogRef.close(this.shouldQueue);
  }
} 