import { Component, Input } from '@angular/core';

@Component({
  selector: 'app-modal-overlay',
  templateUrl: './modal-overlay.component.html',
  styleUrls: ['./modal-overlay.component.css']
})
export class ModalOverlayComponent {
  @Input() isVisible: boolean = false;
  @Input() message: string = 'Procesando...';
  @Input() variant: 'default' | 'success' | 'warning' | 'error' = 'default';
  @Input() showSpinner: boolean = true;
  @Input() customIcon?: string;
} 